Bug 90257 - Fix or deprecate FC_SCALE
Summary: Fix or deprecate FC_SCALE
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: library (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Akira TAGOH
QA Contact: Behdad Esfahbod
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-30 15:12 UTC by Behdad Esfahbod
Modified: 2015-05-12 05:53 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Behdad Esfahbod 2015-04-30 15:12:37 UTC
It's rather unused.  Changing it on the font pattern wouldn't affect rendering.  Changing it on the query pattern kinda works (if size is specified, not pixelsize).  I suggest we deprecate it completely.  FC_MATRIX has been used for scaling when needed.
Comment 1 Akira TAGOH 2015-05-01 02:03:35 UTC
that sounds good to me. let's make it deprecated then.
Comment 2 Akira TAGOH 2015-05-12 05:53:47 UTC
Fixed in git 55ff841


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.